package Projects.Cible1;

import gpclasses.baseclasses.*;
import gpclasses.system.*;
import java.lang.System;
import gpclasses.plugins.script.*;
import java.util.Date;
import gpclasses.plugins.diag.*;
import gpclasses.util.misc.*;

public class Panel1XprSrv extends CgpExpressionServer
{
	public void executeExpression(int _caseNumber)
	{
		switch (_caseNumber)
		{
			case 1002:
				{
end:{//-------------------------------------
//Script Created: Aug 19, 2009
//
// Description:
//
//-------------------------------------

// Replace this line with your script
TagDB.Savedata.flushToStorage();

}				}
				return;
		}
	}

	public int executeIntExpression(int i)
	{
		switch (i)
		{
			case 1000:
				{
					quality = CgpTag.TAG_QUALITY_GOOD;
					return (-1000000);
				}
			case 1001:
				{
					quality = CgpTag.TAG_QUALITY_GOOD;
					return (100000);
				}
		}
		return 0;
	}

}
